Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class TagEndGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.GeneratorBase
            |
            +--org.apache.jasper.compiler.TagGeneratorBase
                  |
                  +--org.apache.jasper.compiler.TagEndGenerator

public class TagEndGenerator
extends org.apache.jasper.compiler.TagGeneratorBase
implements ServiceMethodPhase

Custom tag support.

Author:
  Anil K. Vijendran, Danno Ferrin

Fields inherited from class org.apache.jasper.compiler.GeneratorBase
`ctxt`

Constructor Summary
`TagEndGenerator(java.lang.String prefix, java.lang.String shortTagName, org.xml.sax.Attributes attrs, javax.servlet.jsp.tagext.TagLibraryInfo tli, javax.servlet.jsp.tagext.TagInfo ti, TagLibraries libraries, java.util.Stack tagHandlerStack, java.util.Hashtable tagVarNumbers, boolean hasBody)`

Method Summary
`void` | `generate(ServletWriter writer, java.lang.Class phase)`

Methods inherited from class org.apache.jasper.compiler.TagGeneratorBase
`declareVariables, getTagVarName, setTagHandlerStack, setTagVarNumbers, tagBegin, tagEnd, topTag`

Methods inherited from class org.apache.jasper.compiler.GeneratorBase
`generateCoordinates, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagEndGenerator

    public TagEndGenerator(java.lang.String prefix,
                           java.lang.String shortTagName,
                           org.xml.sax.Attributes attrs,
                           javax.servlet.jsp.tagext.TagLibraryInfo tli,
                           javax.servlet.jsp.tagext.TagInfo ti,
                           TagLibraries libraries,
                           java.util.Stack tagHandlerStack,
                           java.util.Hashtable tagVarNumbers,
                           boolean hasBody)

Method Detail

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.